%define name 		wget
%define version 	1.5.3
%define release 	12mdk

Summary: 	A utility for retrieving files using the HTTP or FTP protocols.
Summary(fr):	Un utilitaire pour recuperer des fichiers en utilisant les protocoles HTTP ou FTP
Summary(pl):	Wsadowy klient HTTP/FTP 
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Networking/WWW
Copyright: 	GPL
URL: 		ftp://ftp.gnu.org/gnu/wget/
Source0:	ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}.tar.bz2
Source1:	http://cade.8m.com/away/%{name}-new-percentage-3.0.tar.bz2
Patch0:		wget-1.5.0-man.patch.bz2
Patch1:		wget-1.5.3-symlink.patch.bz2
Patch2:		wget-info.patch.bz2
Patch3:		wget-1.5.3-ipv6.patch.bz2
Patch4:		wget-DESTDIR.patch.bz2
Provides: 	webclient
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Prefix: 	%{prefix}
Prereq: 	/sbin/install-info


%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%description -l fr
GNU Wget est un utilitaire pour rcuprer des fichiers qui peut utiliser
indiffremment les protocoles HTTP ou FTP. Parmi les caractristiques de
Wget, citons la capacit  rcuprer des fichiers en arrire-plan alors que
vous n'tes pas connect, la rcupration rcursive de rpertoires, la
capacit de rcuprer des fichiers en appliquant un filtre sur le nom ou
sur la date, la gestion de Rest avec les serveurs FTP et de Range avec les
serveurs HTTP pour rcuprer des fichiers avec une connexion lente ou
instable, le support des serveurs Proxy... Wget est particulirement
configurable.

%prep
%setup -q -a 1
%patch0 -p1 -b .man
%patch1 -p1 -b .symlink
%patch2 -p1
%patch3 -p1
%patch4 -p1


cd src
mv ../wget-new-percentage/wget-new-percentage.c .
patch retr.c < ../wget-new-percentage/wget-new-percentage.diff


%build
%configure  
%__make
tail -6 util/README >rmold.README

(cd doc; makeinfo --force %{name}.texi; touch *)


%install
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

make DESTDIR=$RPM_BUILD_ROOT install
strip $RPM_BUILD_ROOT%{_bindir}/* || :

mv wget-new-percentage/README README-new_percent

install -m 755 util/rmold.pl $RPM_BUILD_ROOT%{_bindir}/rmold

%find_lang %{name}


%clean
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info


%files -f %{name}.lang
%defattr(644,root,root,755)
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/%{name}rc
%{_mandir}/man1/wget.1.bz2
%attr(755,root,root) %{_bindir}/wget
%{_infodir}/*
%doc AUTHORS ChangeLog MAILING-LIST NEWS TODO README rmold.README README-new_percent

%changelog

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.5.3-12mdk
- BM

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.5.3-11mdk
- removed %group
- removed _sysconfdir 

* Tue Jul 11 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.5.3-10mdk
- macroszifications

* Sun Jul 02 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 1.5.3-9mdk.ipv6
- IPv6 support
- Merge with PLD distro

* Fri May 19 2000 Jerome Martin <jerome@mandrakesoft.com> 1.5.3-9mdk
- rebuilded package to fix distribution tag

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.5.3-8mdk
- updated BuildRoot
- new group Networking/WWW
- new home URL for source tarball

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- don't permit chmod 777 on symlinks.

* Wed Jul 21 1999 Gregus <gregus@etudiant.net>
- fr locale

* Wed May  5 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0 tree
- add Provides

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.5.3

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.5.2

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- modified group to Applications/Networking

* Wed Apr 22 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.5.0
- they removed the man page from the distribution (Duh!) and I added it back
  from 1.4.5. Hey, removing the man page is DUMB!

* Fri Nov 14 1997 Cristian Gafton <gafton@redhat.com>
- first build against glibc

